Identification of isochrone


#1

Hi,
I’m generating isochrones using OSMtools for QGIS. My input is a point layer with several points. In the output there is a FTID field. What is the key to merge the input and the output files ?
Regards


#2

Hi,
that was a sort of an unfortunate pull request. The key is actually the feature ID (which is not really visible in Joins)… The new version will have a user-defined ID field.

I actually just finished a working dev version, try it if you want: https://github.com/nilsnolde/OSMtools/tree/development

Download the ZIP and copy the ORStools folder to your plugin directory. Then restart QGIS and you’ll see it under the Web menu. It’s entirely refactored though, bit of a different UX. Also, look into Processing toolbox, there’s one for ORS now:) That’s where you’ll find the option to calculate isochrones from layers.


#3

And if you do try it, which I would highly recommend (it’s so much more stable), then please report here if it’s working or if there’s any improvement you can suggest. It’s beta, so there’s room and time for enhancements.


#5

I downloaded the zip and installed the new version but I dont see any change in the UX for ischrones. How can I check that It’s the good version ?


#6

Right, sorry, it’s called ORS Tools. So, uninstall OSM Tools in the Plugin Manager and activate ORS tools instead.

The icon is located in Web toolbar now and the menu entry is in Web menu (together with openlayers and qgis2web).

You copied the ORStools folder to .../plugins/, right? Only then the Plugin Manager can see it.

Let me know if this worked.


#7

In the zip there is no ORStools folder. Only an OSMtools folder


#8

I get it : I had installed the master instead of the dev version. Now I have ORS with a new UX. I have the following python log after validating (and before seeing the layer options)

Une erreur est survenue lors de l’éxécution du code Python:

AttributeError: ‘NoneType’ object has no attribute ‘featureCount’

Traceback (most recent call last):
File “C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\gui\ORStoolsDialog.py”, line 199, in run
params = isochrones_gui.get_request_parameters(self.dlg)
File “C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\gui\isochrones_gui.py”, line 48, in get_request_parameters
params[‘locations’], params[‘id’] = _get_feature_parameters(dlg.iso_location_label.text())
File “C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\gui\isochrones_gui.py”, line 54, in _get_feature_parameters
coords = [float(x) for x in location_label.split(’\n’)[:2]]
File “C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\gui\isochrones_gui.py”, line 54, in
coords = [float(x) for x in location_label.split(’\n’)[:2]]
ValueError: could not convert string to float: ‘Prints location here’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\gui\ORStoolsDialog.py”, line 258, in run
if layer_out.featureCount() > 0:
AttributeError: ‘NoneType’ object has no attribute ‘featureCount’

Version de Python : 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]
Version de QGIS : 3.2.2-Bonn Bonn, 26842169e9

Chemin Python :

  • C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python
  • C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python
  • C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
  • C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins
  • C:\Program Files\QGIS 3.2\bin\python36.zip
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib
  • C:\Program Files\QGIS 3.2\bin
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib
  • C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin
  • C:/Users/Vincent/AppData/Roaming/QGIS/QGIS3\profiles\default/python
  • C:\Users\Vincent\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins
  • C:/Users/Vincent/Documents/Projets/ekipaj_ekipaj_1/LBM/Carto/Script

#9

Ok, but that’s a user failure there;) But I guess I should catch the error when people just hit OK without specifying what they want to calculate. Although it’s fairly descriptive, considering it’s a Python error message.

Happy you could make it work though!


How to match isochrones with their related points?